
Foreman - Bug #1152

Eventful reports include systems with only skipped resources

09/06/2011 12:25 PM - Jacob McCann

Status: Closed   

Priority: Low   

Assignee: Amos Benari   

Category: Puppet Reports   

Target version: 0.4.1   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

When I check for eventful reports it includes systems that have only skipped resources and ran fine otherwise.  I would expect

eventful reports to only apply to systems where the "Applied|Restarted|Failed|Restart Failures" fields are >0.

Associated revisions

Revision 5de7996b - 11/28/2011 05:37 AM - Amos Benari

fixes #1152 - eventful should not include skipped.

Signed-off-by: Amos Benari <abenari@redhat.com>

Revision a07977de - 11/28/2011 05:39 AM - Amos Benari

fixes #1152 - eventful should not include skipped.

Signed-off-by: Amos Benari <abenari@redhat.com>

History

#1 - 09/14/2011 02:05 AM - Ohad Levy

- Target version set to 0.4

#2 - 09/14/2011 02:45 AM - Ohad Levy

- Assignee set to Amos Benari

Amos,

any chance to be able to pass a scope ? it would be much easier then an external method to implement... thanks

#3 - 10/27/2011 09:38 AM - Ohad Levy

- Target version deleted (0.4)

sadly this wont make it to 0.4, as a workaround, simply create a different search condition that match your needs.

then you can save it as a bookmark, so its easy to open it from the top headers dropdowns

#4 - 10/27/2011 09:39 AM - Jacob McCann

Sounds good, and in fact I already made a custom bookmark.  ;)  Looking forward to 0.4!

#5 - 11/28/2011 05:36 AM - Ohad Levy

- Category set to Puppet Reports

- Target version set to 0.4.1

#6 - 11/28/2011 05:40 AM - Amos Benari

- Status changed from New to Closed
- % Done changed from 0 to 100

Applied in changeset a07977deca5e0da16779d62466348d8edaaa76ab.
